## GnomeDbGraphviz

GnomeDbGraphviz — Creates .dot files which can then be processed with GraphViz.

## Synopsis

                GnomeDbGraphviz;
    GType       gnome_db_graphviz_get_type      (void);
    GObject*    gnome_db_graphviz_new           (GnomeDbDict *dict);
    void        gnome_db_graphviz_add_to_graph  (GnomeDbGraphviz *graph,
                                                 GObject *obj);
    gboolean    gnome_db_graphviz_save_file     (GnomeDbGraphviz *graph,
                                                 const gchar *filename,
                                                 GError **error);

## Object Hierarchy

      GObject
       +----GnomeDbBase
             +----GnomeDbGraphviz

## Properties

      "prop"                 gpointer              : Read / Write

## Description

An object os this class will be able to produce .dot files representing a graphical view of one or more query internals. The .dot file can be processed with the GraphViz tool (http://www.graphviz.org/).

## Details

### GnomeDbGraphviz

    typedef struct _GnomeDbGraphviz GnomeDbGraphviz;

### gnome_db_graphviz_get_type ()

    GType       gnome_db_graphviz_get_type      (void);

Returns : |

### gnome_db_graphviz_new ()

    GObject*    gnome_db_graphviz_new           (GnomeDbDict *dict);

Creates a new GnomeDbGraphviz object

`dict` : | a GnomeDbDict object
Returns : | the new object

### gnome_db_graphviz_add_to_graph ()

    void        gnome_db_graphviz_add_to_graph  (GnomeDbGraphviz *graph,
                                                 GObject *obj);

Adds `obj` to be graphed by `graph`

`graph` : | a GnomeDbGraphviz object
`obj` : | a GObject object to be graphed

### gnome_db_graphviz_save_file ()

    gboolean    gnome_db_graphviz_save_file     (GnomeDbGraphviz *graph,
                                                 const gchar *filename,
                                                 GError **error);

Saves a dot representation of the `graph` object to `filename`

`graph` : | a GnomeDbGraphviz object
`filename` : |
`error` : |
Returns : | TRUE if no error occurred

## Property Details

### The "`prop`" property

      "prop"                 gpointer              : Read / Write